
_interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;Interrupt.c,14 :: 		void interrupt(){
;Interrupt.c,15 :: 		if(INTCON.INTF == 1) LED = ~LED;
	BTFSS      INTCON+0, 1
	GOTO       L_interrupt0
	MOVLW      1
	XORWF      RA0_bit+0, 1
L_interrupt0:
;Interrupt.c,16 :: 		delay_ms(200);   // Key debounce time
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L_interrupt1:
	DECFSZ     R13+0, 1
	GOTO       L_interrupt1
	DECFSZ     R12+0, 1
	GOTO       L_interrupt1
	DECFSZ     R11+0, 1
	GOTO       L_interrupt1
	NOP
;Interrupt.c,17 :: 		INTCON.INTF = 0;
	BCF        INTCON+0, 1
;Interrupt.c,18 :: 		}
L_end_interrupt:
L__interrupt8:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _interrupt

_main:

;Interrupt.c,20 :: 		void main() {
;Interrupt.c,21 :: 		ANSEL = 0b00000000;    //All I/O pins are configured as digital
	CLRF       ANSEL+0
;Interrupt.c,22 :: 		CMCON0 = 0x07 ;        // Disbale comparators
	MOVLW      7
	MOVWF      CMCON0+0
;Interrupt.c,23 :: 		TRISC = 0b00010000;    // PORTC all output except RC4
	MOVLW      16
	MOVWF      TRISC+0
;Interrupt.c,24 :: 		TRISA = 0b00000100;    // PORTA All Outputs, Except RA2
	MOVLW      4
	MOVWF      TRISA+0
;Interrupt.c,25 :: 		INTCON = 0b10010000;   // Set GIE and INTE bits
	MOVLW      144
	MOVWF      INTCON+0
;Interrupt.c,26 :: 		OPTION_REG.INTEDG = 0; // External interrupt on faling edge of RA2/INT pin
	BCF        OPTION_REG+0, 6
;Interrupt.c,27 :: 		count = 0;
	CLRF       _count+0
;Interrupt.c,28 :: 		LED = 0;
	BCF        RA0_bit+0, 0
;Interrupt.c,29 :: 		PORTC = count;
	CLRF       PORTC+0
;Interrupt.c,30 :: 		do {
L_main2:
;Interrupt.c,31 :: 		count ++;
	INCF       _count+0, 1
;Interrupt.c,32 :: 		if (count ==16) count =0;
	MOVF       _count+0, 0
	XORLW      16
	BTFSS      STATUS+0, 2
	GOTO       L_main5
	CLRF       _count+0
L_main5:
;Interrupt.c,33 :: 		PORTC = count;
	MOVF       _count+0, 0
	MOVWF      PORTC+0
;Interrupt.c,34 :: 		delay_ms(1000);
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L_main6:
	DECFSZ     R13+0, 1
	GOTO       L_main6
	DECFSZ     R12+0, 1
	GOTO       L_main6
	DECFSZ     R11+0, 1
	GOTO       L_main6
	NOP
	NOP
;Interrupt.c,35 :: 		}while (1); // infinite loop
	GOTO       L_main2
;Interrupt.c,36 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
